
class HandlerClass:
    '''
    class with gladevcp callback handlers
    '''
    def __init__(self, halcomp,builder,useropts):

        self.halcomp = halcomp
        self.builder = builder

    def on_btn_goto_zero_clicked(self,widget,data=None):
        print('Button goto zero has been clicked')        
       
    def on_adj_HighS_b_value_changed(self, widget, data = None):
        value = widget.get_value()
        print('Value has changed to', value)        
        
    def on_adj_HighV_b_value_changed(self, widget, data = None):
        value = widget.get_value()
        print('Value has changed to', value)        

    def on_adj_HighV_b_value_changed(self, widget, data = None):
        value = widget.get_value()
        print('Value has changed to', value)        

    def on_adj_LowHb_value_changed(self, widget, data = None):
        value = widget.get_value()
        print('Value has changed to', value)        

    def on_adj_LowS_b_value_changed(self, widget, data = None):
        value = widget.get_value()
        print('Value has changed to', value)        

    def on_adj_LowV_b_value_changed(self, widget, data = None):
        value = widget.get_value()
        print('Value has changed to', value)        

def get_handlers(halcomp,builder,useropts):
    '''
    this function is called by gladevcp at import time (when this module is passed with '-u <modname>.py')

    return a list of object instances whose methods should be connected as callback handlers
    any method whose name does not begin with an underscore ('_') is a  callback candidate

    the 'get_handlers' name is reserved - gladevcp expects it, so do not change
    '''
    return [HandlerClass(halcomp,builder,useropts)]
